<div class="col-md-12">
    <table class="table table-hover table-bordered table-condensed">
        <thead>
            <tr>
                <th>id</th>
                <th>
                    <select name="c_type" id="c_type">
                        <option value="" <?php echo $c_type === '' ? 'selected' : ''; ?>>类别</option>
                        <option value="0" <?php echo $c_type === 0 ? 'selected' : ''; ?>>一般</option>
                        <option value="1" <?php echo $c_type === 1 ? 'selected' : ''; ?>>特批1</option>
                        <option value="2" <?php echo $c_type === 2 ? 'selected' : ''; ?>>特批2</option>
                    </select>
                </th>
                <th style="width: 80px;">公司名称</th>
                <th>合同号</th>
                <th>产品类别</th>
                <th>产品型号</th>
                <th>数量(KG/台)</th>
                <th>单价</th>
                <th style="width: 80px;">基准单价(公司低价)</th>
                <th>价格比例</th>
                <th>合同额</th>
                <th>代理费</th>
                <th>合同基准额</th>
                <th>实际合同额</th>
                <th>运费</th>
                <th style="width: 60px;">工程费成本</th>
                <th>收款金额</th>
                <th>上期结余</th>
                <th>实收金额</th>
                <th>本期结余</th>
                <th>总利润</th>
                <th>提成比例</th>
                <th>提成额</th>
                <th>销售员</th>
                <th style="width: 80px;">操作</th>
            </tr>
        </thead>
        <tbody>
            <?php
            var_dump($data);

            $type = ['一般', '特批1', '特批2'];
            $tr_type = ['info', 'warning', 'danger'];

            foreach ($data as $value) {
                $value['price_rate'] = round($value['price'] / $value['base_price'], 4);
                switch ($value['type']) {
                    case 1:
                        if ($value['price_rate'] < 1.05) {
                            $value['c_rate'] = 0.01;
                        } elseif ($value['price_rate'] < 1.1) {
                            $value['c_rate'] = 0.015;
                        } else {
                            $value['c_rate'] = 0.02;
                        }
                        $value['actual_value'] = $value['contract_value'] - $value['agency'];
                        $value['c_money'] = ($value['actual_value'] - $value['shipping']) * $value['c_rate'];
                        break;
                    case 2:
                        $value['c_rate'] = floor(((($value['price_rate'] - 1) / 0.1) * 0.01 + 0.01) * 100) / 100;
                        $value['actual_value'] = $value['contract_value'] - $value['agency'];
                        $value['c_money'] = ($value['actual_value'] - $value['shipping']) * $value['c_rate'];
                        break;
                    default:
                        $value['c_rate'] = 0;
                        $value['base_value'] = $value['amount'] * $value['base_price'];
                        $value['total_profit'] = $value['contract_value'] - $value['agency'] - $value['base_value'] - $value['shipping'];
                        break;
                }
                $value['actual_money'] = $value['receive_money'] + $value['period_balance'];
                $value['current_balance'] = $value['actual_money'] - $value['contract_value'];
            ?>
                <tr class="<?php echo $tr_type[$value['type']]; ?>">
                    <td><?php echo $value['id']; ?></td>
                    <td><?php echo $type[$value['type']]; ?></td>
                    <td><?php echo $value['company']; ?></td>
                    <td><?php echo $value['contract_no']; ?></td>
                    <td><?php echo $value['goods_category']; ?></td>
                    <td><?php echo $value['goods_type']; ?></td>
                    <td><?php echo $value['amount']; ?></td>
                    <td><?php echo $value['price']; ?></td>
                    <td><?php echo $value['base_price']; ?></td>
                    <td><?php echo $value['type'] ? $value['price_rate'] : ''; ?></td>
                    <td><?php echo $value['contract_value']; ?></td>
                    <td><?php echo $value['agency']; ?></td>
                    <td><?php echo $value['type'] ? '' : $value['base_value']; ?></td>
                    <td><?php echo $value['type'] ? $value['actual_value'] : ''; ?></td>
                    <td><?php echo $value['shipping']; ?></td>
                    <td><?php echo $value['project']; ?></td>
                    <td><?php echo $value['receive_money']; ?></td>
                    <td><?php echo $value['period_balance']; ?></td>
                    <td><?php echo $value['actual_money']; ?></td>
                    <td><?php echo $value['current_balance']; ?></td>
                    <td><?php echo $value['type'] ? '' : $value['total_profit']; ?></td>
                    <td><?php echo $value['type'] ? $value['c_rate'] : ''; ?></td>
                    <td><?php echo $value['type'] ? $value['c_money'] : ''; ?></td>
                    <td><?php echo $value['seller']; ?></td>
                    <td class="td-manager">
                        <a href="javascript:void(0);" onclick="del(<?php echo $value['id']; ?>, this)">删除</a>
                        <a href="javascript:void(0);" data-val='<?php echo json_encode($value); ?>' onclick="edit(this)">修改</a></td>
                </tr>
            <?php
            }
            ?>

        </tbody>
    </table>
</div>